javax.net.debug=ssl
#logging.level.org.hibernate.type.descriptor.sql.BasicBinder = DEBUG
#logging.level.org.springframework.jdbc = INFO
logging.level.org.springframework.security = INFO
logging.level.org.springframework.security.oauth2=TRACE

server.error.include-binding-errors=ALWAYS
server.error.include-message=ALWAYS

#server.ssl.enabled=true
#server.ssl.key-store=classpath:keystore_spring.jks
#server.ssl.key-store-password=ahChew9090!
#server.ssl.key-store-type=jks
#server.ssl.key-alias=1
#server.ssl.key-password=ahChew9090!
#server.ssl.truststore=classpath:keystore_spring.jks
#server.ssl.truststore-password=ahChew9090!

#server.ssl.enabled=true
#server.ssl.key-store-type=PKCS12
#server.ssl.key-store=classpath:/etc/tecreations/keystore_server
#server.ssl.key-store-password=backup
server.port=8443
security.require-ssl=true
server.ssl.key-store=classpath:spring_keystore.p12
server.ssl.key-store-password=storepass
server.ssl.keyStoreType=PKCS12
server.ssl.keyAlias=tomcat

spring.data.jdbc.repositories.enabled=false
#spring.datasource.hikari.connectionTimeout=8000 
spring.datasource.url=jdbc:mysql://tecreations.ca:3306/sitesec_dev
spring.datasource.username=sitesec_user
spring.datasource.password=h4/7c@OGpMCNoCTs
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#spring.jpa.hibernate.ddl-auto=update
#spring.jpa.hibernate.generate-ddl=false
spring.jpa.hibernate.naming.physical-strategy = org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
spring.jpa.properties.hibernate.use_sql_comments=true
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.show-sql=true
spring.main.banner-mode=console 
spring.output.ansi.enabled=always
spring.security.oauth2.client.registration.google.client-id = 441746337014-pl5q4ackt615l0dclq76e1nd33m34iba.apps.googleusercontent.com
spring.security.oauth2.client.registration.google.client-secret = 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
